    /*
     *  call-seq:
     *     dir.rename(from, to) -> self
     *
     *  Rename a file from +from+ to +to+. An error will be raised if the file
     *  doesn't exist or there is some other type of IOError.
     */
    static VALUE
    frt_dir_rename(VALUE self, VALUE rfrom, VALUE rto)
    {
        Store *store = DATA_PTR(self);
        StringValue(rfrom);
        StringValue(rto);
        store->rename(store, rs2s(rfrom), rs2s(rto));
        return self;
    }